- Development Integration
- /
- SDK
- /
- Java
- /
Management module
- /
Manage data resources and permissions
- /
- Batch get permission space details list
¶ Get permission space details list in batches
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.
Get permission space details through the permission space unique identifier (Code) respectively.
¶ Method Name
ManagementClient.getPermissionNamespacesBatch
¶ Request Parameters
| Name | Type | Is it required | Default Value | Description | Example Value |
|---|---|---|---|---|---|
| codes | string[] | yes | - | Permission space code list, batches can be separated by commas. Array length limit: 50. | ["example1","example2"] |
¶ Sample Code
package test.management;
import cn.authing.sdk.java.client.ManagementClient;
import cn.authing.sdk.java.dto.GetPermissionNamespaceListResponseDto;
import cn.authing.sdk.java.dto.GetPermissionNamespacesBatchDto;
import cn.authing.sdk.java.model.ManagementClientOptions;
import cn.authing.sdk.java.util.JsonUtils;
import java.util.ArrayList;
import java.util.List;
public class GetPermissionNamespacesBatchTest {
// Need to be replaced with your GenAuth Access Key ID
private static final String ACCESS_KEY_ID = "AUTHING_ACCESS_KEY_ID";
// Need to be replaced with your GenAuth Access Key Secret
private static final String ACCESS_KEY_SECRET = "AUTHING_ACCESS_KEY_SECRET";
public static void main(String[] args) throws Throwable {
ManagementClientOptions clientOptions = new ManagementClientOptions();
clientOptions.setAccessKeyId(ACCESS_KEY_ID);
clientOptions.setAccessKeySecret(ACCESS_KEY_SECRET);
// If you are a private deployment customer, you need to set the GenAuth service domain name
// clientOptions.setHost("https://api.your-authing-service.com");
ManagementClient client = new ManagementClient(clientOptions);
GetPermissionNamespacesBatchDto request = new GetPermissionNamespacesBatchDto();
request.setCodes("code1,code2");
GetPermissionNamespaceListResponseDto response = client.getPermissionNamespacesBatch(request);
System.out.println(JsonUtils.serialize(response));
}
}
¶ Request Response
Type: GetPermissionNamespaceListResponseDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
| data | array | Response data |
Example Results:
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"code": "examplePermissionNamespace",
"name": "Example Permission Space",
"description": "Example Permission Space Description"
}
}
¶ Data Structure
¶ GetPermissionNamespaceRespDto
| Name | Type | Is it required | Description | Example Value |
|---|---|---|---|---|
| code | string | yes | permission space unique identifier | examplePermissionNamespace |
| name | string | yes | permission space Name | example permission space |
| description | string | no | permission space description | example permission space description |
